Subject: Re: [ieee-ietf-coord] requesting an EtherType

From: Alia Atlas <[email-masked]>
Date: Mon, 13 Feb 2017 11:43:29 -0500

Hi Bob, Dan, and others,

I put in a request for an Ethertype (reference # RA1474660860969) around
Sept 24.  I have heard absolutely nothing.  It is now almost 5 months.

This is for RFC 8013 <draft-ietf-forces-interfelfb-06.txt> which was
approved before I put the request in.

Could you please investigate what is going on??

Thanks,
Alia

On Mon, Sep 26, 2016 at 11:09 AM, ROBERT GROW <[email-masked]> wrote:

> Dan:
>
> Your suggestion is consistent with what the RAC has encouraged both
> IEEE-SA projects and the RA to do on Ethertype, Group Address and similar
> assignments for IEEE standards.  We resist providing the assignment early
> in the process, but are happy to make the assignment for inclusion in the
> draft for initial IEEE-SA Sponsor ballot.  Up to that point the RAC prefers
> the value to be listed in the draft in a way indicating the value will be
> assigned for Sponsor ballot.  Perhaps we have done a poor job in
> communicating that concept to the IETF for inclusion in the draft at a
> similar point of stability.  Perhaps a little more formal process
> description will help to spread the knowledge a bit broader.
>
> —Bob
>
>
>
> On Sep 25, 2016, at 8:21 AM, Dan Romascanu <[email-masked]> wrote:
>
> Bob,
>
> Thank you very much for your detailed answer, which helps to clarify many
> issues.
>
> I have only two comments.
>
> 1. The IETF definitely respects and appreciates the challenges in managing
> number spaces, and the process put in place by the RAC to best administrate
> the spaces under its responsibility. We face similar issues with numbers
> under our responsibilities, and you may be sure that the IETF WGs and the
> IESG make all that is possible and we know to do in order to avoid
> submitting frivolous applications.
>
> 2. This being said, mistakes can happen, and applications may not include
> from the beginning all required information. What I would suggest that we
> do in the spirit of cooperation between the IETF and the IEEE 802 is to
> avoid as possible the errors and at the same time do best effort to shorten
> processing time. That is why when a document is sent to the ieee-ietf
> coordination list with a clear indication that it includes some kind of
> request for assignment from the RAC, it would be useful to be reviewed as
> early as possible - desirably at WGLC or IETF LC, and not after the
> document approval by the IESG (which is roughly equivalent to passing an
> IEEE Sponsor Ballot). Also, after the application is submitted, it would be
> good to have some confirmation that it was received and is under
> processing, and when possible an answer earlier than three months. Note
> that this time is from the IETF publication process a complete freeze in
> waiting for the answer, which impacts the 'time-to-market'.
>
> Regards,
>
> Dan
>
>
> On Sat, Sep 24, 2016 at 11:18 AM, ROBERT GROW <[email-masked]> wrote:
>
>> IETF folk will appreciate the challenges that occur as a result of
>> exhausting a number space.  The Ethertype field does not provide a huge
>> number space and consequently, conservative assignments for new
>> applications is considered important.  Avoiding the need to come back for
>> additional assignments is the major focus of what the review process looks
>> for.  These design items could certainly be examined early in the
>> development of a draft.  Highlighting that the protocol was designed with
>> these considerations will accelerate the review of an application.
>>
>> The Ethertype tutorial (http://standards.ieee.org/dev
>> elop/regauth/tut/ethertype.pdf) asked some of the questions that will be
>> asked if not answered on the application.  This includes use of a previous
>> assignment, with its sub typing capability, and certainly designing the new
>> protocol to include sub typing.  Simply pointing the Registration Authority
>> (RA) to the draft isn’t going to be as easy to review as an application
>> that either explains the important characteristics of the protocol, or
>> points to where in the draft the information can be found.
>>
>> 1.  For example, explaining that the protocol was prototyped using IEEE
>> Std 802-2014, sub clause 9.2 answers most of the questions that would be
>> asked about the protocol (with the assurance the the sub typing illustrated
>> in that standard’s Figure 12 has been preserved).
>>
>> 2.  Absent that using that familiar format for subtype information, help
>> the reviewer understand how similar capabilities are provided.  (E.g., how
>> versions of the protocol will be identified, etc.)
>>
>> 3.  Explaining that the protocol is unrelated to other IETF protocols
>> previously having received an assignment is helpful.
>>
>> 4.  Knowing the status of the protocol development/standardization is
>> helpful, and can help with timely application review.  There will be
>> reluctance to make an early assignment (e.g., we want to design a protocol
>> to …); because we want a high probability of the protocol being “real”
>> rather than burning an Ethertype assignment for something that may not go
>> anywhere.
>>
>> The application review isn’t supposed to be a protocol review (though if
>> a reviewer see a possible fault, they may point that out).  The IEEE RA and
>> the RAC certainly respect the consensus process of the IETF.  Just convince
>> the RA that the application isn’t frivolous.
>>
>> —Bob
>>
>>
>> On Sep 24, 2016, at 7:03 AM, Dan Romascanu <[email-masked]> wrote:
>>
>> Can we maybe try to cut a little bit from the clerical process and make
>> the earlier review of such requests part of our coordination, at least in
>> what concerns the technical aspects? The Internet-Drafts were written with
>> the purpose of providing the required technical documentation. They went
>> through the IETF consensus process, with its principal milestones (LCs)
>> also announced on this (ieee-ietf) list. I would suspect that if any
>> important information was missing or the request was not targeting the
>> right level, this would have been already flagged up. If something was
>> somehow missed, we  should know earlier than the three month typical
>> response time.
>>
>> Thanks and Regards,
>>
>> Dan
>>
>>
>> On Sat, Sep 24, 2016 at 6:07 AM, Donald Eastlake <[email-masked]>
>> wrote:
>>
>>> I have limited network access right now.
>>>
>>> As I recall, you have to provide technical documentation (can reference
>>> an Internet draft) which should mention sub typing, etc. (There have been
>>> cases of tags where subtyping is not required but it's more difficult to
>>> get through the system.) Generally there has been a contractor that
>>> examines the application.
>>>
>>> If you want to know if your application is in process, I recommend
>>> picking up the phone during business hours in the eastern US time zone and
>>> calling the office that handles this. You will get a clerical person but at
>>> least they can confirm that the application was received.
>>>
>>> I believe Pat Thaler has volunteered to informally assist but she may be
>>> very busy today and might not get to email for a day or two.
>>>
>>> Donald
>>> from iPhone
>>>
>>>
>>> On Saturday, September 24, 2016, Dan Romascanu <[email-masked]>
>>> wrote:
>>>
>>>> Hi Bob,
>>>>
>>>> Is there any way to accelerate this process and have responses or
>>>> possible further clarification questions in a shorter time than the maximal
>>>> 90 days?
>>>>
>>>> Thanks and Regards,
>>>>
>>>> Dan
>>>>
>>>>
>>>> On Fri, Sep 23, 2016 at 3:05 PM, ROBERT GROW <[email-masked]> wrote:
>>>>
>>>>> It is important to answer the questions on the form clearly,
>>>>> especially about sub typing, including indication of why a new Ethertype is
>>>>> needed versus using an existing IETF assignment.  If the application has
>>>>> already been submitted, and not sufficiently answered, you might get a
>>>>> request for more information.  The application is processed within 90 days.
>>>>>
>>>>> Bob Grow
>>>>> Chair, IEEE-SA Registration Authority Committee.
>>>>>
>>>>>
>>>>> On Sep 23, 2016, at 2:29 PM, Ralph Droms <[email-masked]>
>>>>> wrote:
>>>>>
>>>>> My recollection is that suresh has taken responsibility here and
>>>>> submitted the request.
>>>>>
>>>>> - Ralph
>>>>>
>>>>> On Sep 23, 2016, at 3:24 PM, Donald Eastlake <[email-masked]> wrote:
>>>>>
>>>>> Last time I did this, you just go to the public Ethertype request
>>>>> site, fill out the form saying it is for standards use, indicate you
>>>>> are going to pay by wire transfer, and interact with the IEEE office that
>>>>> handles this and have the invoice amount set to zero.
>>>>>
>>>>> Donald
>>>>> from iPhone
>>>>>
>>>>> On Friday, September 23, 2016, Alia Atlas <[email-masked]> wrote:
>>>>>
>>>>>> Hi,
>>>>>>
>>>>>> A document, draft-ietf-forces-interfelfb-06
>>>>>> <https://datatracker.ietf.org/doc/draft-ietf-forces-interfelfb/>,
>>>>>> was approved by the IESG for publication and is in the RFC Editor queue.
>>>>>>
>>>>>> I had assumed that the EtherType request would be made as part of the
>>>>>> processing, as per https://www.ietf.org/iesg/
>>>>>> statement/ethertypes.html.  That appears to not be the case.
>>>>>>
>>>>>> What is the correct procedure for officially requesting the EtherType
>>>>>> so that this document can finally be published?
>>>>>>
>>>>>> Thanks,
>>>>>> Alia
>>>>>>
>>>>>
>>>>>
>>>>> --
>>>>> Sent from Gmail Mobile
>>>>>
>>>>> _______________________________________________
>>>>> ieee-ietf-coord mailing list
>>>>> [email-masked]
>>>>> https://www.ietf.org/mailman/listinfo/ieee-ietf-coord
>>>>>
>>>>> _______________________________________________
>>>>> ieee-ietf-coord mailing list
>>>>> [email-masked]
>>>>> https://www.ietf.org/mailman/listinfo/ieee-ietf-coord
>>>>>
>>>>>
>>>>>
>>>>> _______________________________________________
>>>>> ieee-ietf-coord mailing list
>>>>> [email-masked]
>>>>> https://www.ietf.org/mailman/listinfo/ieee-ietf-coord
>>>>>
>>>>>
>>>>
>>>
>>> --
>>> Sent from Gmail Mobile
>>>
>>
>> _______________________________________________
>> ieee-ietf-coord mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ieee-ietf-coord
>>
>>
>>
> _______________________________________________
> ieee-ietf-coord mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ieee-ietf-coord
>
>
>

---

From: Pat Thaler <[email-masked]>
Date: Mon, 13 Feb 2017 14:30:40 -0800

I'm looking into it.

On Mon, Feb 13, 2017 at 8:43 AM, Alia Atlas <[email-masked]> wrote:

>> 1. The IETF definitely respects and appreciates the challenges in
>> managing number spaces, and the process put in place by the RAC to best
>> administrate the spaces under its responsibility. We face similar issues
>> with numbers under our responsibilities, and you may be sure that the IETF
>> WGs and the IESG make all that is possible and we know to do in order to
>> avoid submitting frivolous applications.
>>
>>> elop/regauth/tut/ethertype.pdf) asked some of the questions that will
>>> be asked if not answered on the application.  This includes use of a
>>> previous assignment, with its sub typing capability, and certainly
>>> designing the new protocol to include sub typing.  Simply pointing the
>>> Registration Authority (RA) to the draft isn’t going to be as easy to
>>> review as an application that either explains the important characteristics
>>> of the protocol, or points to where in the draft the information can be
>>> found.
>>>
>>>> I believe Pat Thaler has volunteered to informally assist but she may
>>>> be very busy today and might not get to email for a day or two.
>>>>
>>>> Donald
>>>> from iPhone
>>>>
>>>>
>>>>>>> I had assumed that the EtherType request would be made as part of
>>>>>>> the processing, as per https://www.ietf.org/iesg/
>>>>>>> What is the correct procedure for officially requesting the
>>>>>>> EtherType so that this document can finally be published?
>>>>>>>
>>>>>>> Thanks,
>>>>>>> Alia
>>>>>>>
>>>>>>
>>>>>>
>>>>>> --
>>>>>> Sent from Gmail Mobile
>>>>>>

---

From: Alia Atlas <[email-masked]>
Date: Tue, 14 Feb 2017 14:37:44 -0500

Pat,

Thank you very much!  I just got the assignment.

Regards,
Alia

On Mon, Feb 13, 2017 at 5:30 PM, Pat Thaler <[email-masked]> wrote:

>>> Thank you very much for your detailed answer, which helps to clarify
>>> many issues.
>>>
>>> 2. This being said, mistakes can happen, and applications may not
>>> include from the beginning all required information. What I would suggest
>>> that we do in the spirit of cooperation between the IETF and the IEEE 802
>>> is to avoid as possible the errors and at the same time do best effort to
>>> shorten processing time. That is why when a document is sent to the
>>> ieee-ietf coordination list with a clear indication that it includes some
>>> kind of request for assignment from the RAC, it would be useful to be
>>> reviewed as early as possible - desirably at WGLC or IETF LC, and not after
>>> the document approval by the IESG (which is roughly equivalent to passing
>>> an IEEE Sponsor Ballot). Also, after the application is submitted, it would
>>> be good to have some confirmation that it was received and is under
>>>> 2.  Absent that using that familiar format for subtype information,
>>>> help the reviewer understand how similar capabilities are provided.  (E.g.,
>>>> how versions of the protocol will be identified, etc.)
>>>>
>>>> The application review isn’t supposed to be a protocol review (though
>>>> if a reviewer see a possible fault, they may point that out).  The IEEE RA
>>>> and the RAC certainly respect the consensus process of the IETF.  Just
>>>> convince the RA that the application isn’t frivolous.
>>>>
>>>> —Bob
>>>>
>>>>
>>>>> As I recall, you have to provide technical documentation (can
>>>>> reference an Internet draft) which should mention sub typing, etc. (There
>>>>> have been cases of tags where subtyping is not required but it's more
>>>>> difficult to get through the system.) Generally there has been a contractor
>>>>> that examines the application.
>>>>>
>>>>>>> site, fill out the form saying it is for standards use, indicate
>>>>>>> you are going to pay by wire transfer, and interact with the IEEE office
>>>>>>> that handles this and have the invoice amount set to zero.
>>>>>>>
>>>>>>> Donald
>>>>>>> from iPhone
>>>>>>>